name: Deploy sts

# Триггеры запуска
on:
  push:
    branches:
      - main          # автоматический запуск при пуше в main
  workflow_dispatch:  # ручной запуск через интерфейс Gitea (кнопка "Run workflow")

jobs:   
  deploy-sber:
    runs-on: kalugin66
    steps:
#      - name: clear zhelcrm
#        run: docker system prune -af
      - name: Deploy
        run: |
          cd /docker/sts-avto/ && docker compose build --no-cache && docker compose up -d
#